clc;   close all;format compact; format long
L = 2.0;%length in inches
H = 1;%height
h = 0.2; % length of force edge
a = 0.2; % corner cutouts
b = 0.3; % left edge cutout
% now create the brep structure
cantileverBeam.vertices = [b 0;0 -b; 0 -H/2;L-a -H/2;L -H/2+a; L -h/2; L h/2; L H/2-a; L-a H/2; 0 H/2; 0 b ]';
cantileverBeam.edges = [1 2; 2 3; 3 4; 4 5; 5 6; 6 7; 7 8; 8 9; 9 10; 10 11; 11 1]';

fem = TriElasticity(cantileverBeam); % force in lbs
fem.plotGeometryWithLabels();
%%
fem = fem.setYoungsModulus(3.05e7); % psi
fem = fem.setPoissonsRatio(0.28);
%figure;fem.plotGeometry();grid on;axis equal;
%fem.plotGeometryWithLabels();grid on;

fem = fem.fixEdge([2 10]);
fem = fem.applyYForceOnEdge(6,-1000);% lbs/inch
fem = fem.assemble();
figure;fem.plotMesh();
%%
fem = fem.solve();
figure;fem.plotStress();
