%%
verticalBar.vertices = [0 0; 1 0; 1 10; 0 10]'; % meters
verticalBar.edges = [ 1 2; 2 3; 3 4; 4 1]';
fem = TriElasticity(verticalBar);
fem.plotGeometryWithLabels();
%%
fem = fem.setYoungsModulus(2e11);
fem = fem.setPoissonsRatio(0.28);
%%
example = 2;
if (example == 1)% Vertical force
    fem = fem.fixYOfEdge(1);
    fem = fem.applyYForceOnEdge(3,100);
elseif (example == 2) % Horizontal force
    fem = fem.fixEdge(1);
    fem = fem.applyXForceOnEdge(3,100);
end
%%
fem = fem.assemble();
fem.plotMesh();
%%
fem = fem.solve();
fem.plotStress();
