function [mu,sigma] = Beta_MuSigma(q,r,a,b)
% For the beta distribution, given the domain (a,b) and 
% the two parameters q and r, find mu & sigma
mu = a+q*(b-a)/(q+r);
sigma = sqrt(q*r*(b-a)^2/((q+r)^2*(q+r+1)));
