function [q,r] = Beta_qr(mu,sigma,a,b)
% For the beta distribution, given the domain (a,b) and mu and sigma, 
% find q and r

qRange = 0.1:0.05:20;% Search in a range
rRange = 0.1:0.05:20;
errMin = 1e8;
for q0 = qRange
    for r0 = rRange
        [mu0,sigma0] = Beta_MuSigma(q0,r0,a,b);
        err = (1-mu0/mu)^2 + (1-sigma0/sigma)^2;
        if (err < errMin)
            errMin = err;
            q = q0;
            r = r0;
        end
    end
end
