% Average day-temperature in Madison, WI, Milwaukee, WI, and Los Angles, CA
% for the month of August 2010 
% http://www.weather.gov/climate/index.php?wfo=mkx
%  http://www.weather.gov/climate/index.php?wfo=lox
T_MSN = [73    77    79    79    73    71    71    77    79    78    79    81    74    76    73    70    66    70    76    80   76    74    71    69    64    62    71    73    76    78    75];
T_MKE = [72    77    78    80    76    72    74    78    79    77    83    80    80    79    75    72    70    72    77    80   76    72    71    73    69    65    72    75    78    81    83];
T_LAX = [64    63    63    64    64    64    64    65    64    65    65    65    64    63    63    64    64    70    73    70   68    66    71    72    68    66    65    66    66    65    67];

plot(T_MSN,T_LAX,'*'); 

N = numel(T_MKE);
MSN_mean = sum(T_MSN)/N;
MKE_mean = sum(T_MKE)/N;
LAX_mean = sum(T_LAX)/N;
[MSN_mean  MKE_mean LAX_mean]

MSN_var = sum((T_MSN-MSN_mean).^2)/(N-1);
MKE_var = sum((T_MKE-MKE_mean).^2)/(N-1);
LAX_var = sum((T_LAX-LAX_mean).^2)/(N-1);
sqrt([MSN_var  MKE_var LAX_var])

MKE_MSN_cov=sum((T_MKE-MKE_mean).*(T_MSN-MSN_mean))/(N-1);
MKE_LAX_cov=sum((T_MKE-MKE_mean).*(T_LAX-LAX_mean))/(N-1);
MSN_LAX_cov=sum((T_MSN-MSN_mean).*(T_LAX-LAX_mean))/(N-1);

MKE_MSN_cor = MKE_MSN_cov/(sqrt(MKE_var)*sqrt(MSN_var));
MKE_LAX_cor= MKE_LAX_cov/(sqrt(MKE_var)*sqrt(LAX_var));
MSN_LAX_cor= MSN_LAX_cov/(sqrt(MSN_var)*sqrt(LAX_var));
[MKE_MSN_cor MSN_LAX_cor MKE_LAX_cor]
