function p = Beta_Probability(q,r,a,b,x0)
% For the beta distribution, find the probability rthat x < x0 
% Range of beta distribution is [a,b] and the two parameters are q and r
if (x0 < a)
    p = 0;
elseif (x0 > b)
    p  = 1;
else
    z = (x0-a)/(b-a); % scaling
    p = betainc(z,q,r);
end
