function [lambda,xi] = LogNormal_LambdaXi(mu,sigma)
% For the lognormal distribution, given the mean and sigma 
% find the 2 params lambda and xi
xi = sqrt(log(1+(sigma/mu)^2));
lambda = log(mu*exp(-xi^2/2));
