function p = Normal_Probability(mu,sigma,x0)
% For a normal variable with mean 'mu' and standard deviation 'sigma'
% returns  the probability that x will be less than x0
x = (x0-mu)./sigma; % convert into standard form
p = 0.5*erf(x/sqrt(2)) + 0.5;
